Subject: [os2genau_digest] No. 1162
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 7 Aug 2005 00:02:05 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 06 August 2005
 Number  1162
**************************************************

Subjects for today
 
1  Re:  partition magic : Ed Durrant <edurrant at bigpond dot net dot au>
2  Re:  partition magic : Mike O'Connor" <mikeoc at internode.on dot net>
3  Re:  partition magic : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
4  Re:  partition magic : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
5   partition magic : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
6  Re:  partition magic : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
7  Re:  partition magic : Ed Durrant <edurrant at bigpond dot net dot au>
8  Re:  partition magic : Ed Durrant <edurrant at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Sat, 06 Aug 2005 05:26:39 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  partition magic

Version 3 was the last version that came with an OS/2 executable however 
later versions still supported the current (at that time) available OS/2 
file formats. I believe I am right in saying that once LVM came along 
Partition magic became no longer usable with OS/2.

An alternative product is DFSee.

Cheers/2

Ed.

Chris Graham [WarpSpeed] wrote:

>What was the latest version of PM that supported OS/2?
>
>I've got V1 and V2, but PQMAGICT always complains that it is out of memory
>and PQMAGIC exits immediately. I traced it and it is looking for
>\PIPE\PQPIPE, which is supplied with V1 but not with V2.
>
>What am I missing?
>
>-Chris
>
>WarpSpeed Computers - The Graham Utilities for OS/2.
>Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
>FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
>Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA
>
>

> 

>
>  
>
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 06 Aug 2005 07:40:59 +1000
From:  "Mike O'Connor" <mikeoc at internode.on dot net>
Subject:  Re:  partition magic

Ed Durrant wrote:

> Version 3 was the last version that came with an OS/2 executable 
> however later versions still supported the current (at that time) 
> available OS/2 file formats. I believe I am right in saying that once 
> LVM came along Partition magic became no longer usable with OS/2.
>
> An alternative product is DFSee.
>
> Cheers/2
>
> Ed.
>
> Chris Graham [WarpSpeed] wrote:
>
>> What was the latest version of PM that supported OS/2?
>>
>> I've got V1 and V2, but PQMAGICT always complains that it is out of 
>> memory
>> and PQMAGIC exits immediately. I traced it and it is looking for
>> \PIPE\PQPIPE, which is supplied with V1 but not with V2.
>>
>> What am I missing?
>

Hi Chris, Ed,

The final OS/2 Native Partition Magic version was 3.05.032.  This still 
works with drives larger than 128GB, but has a problem that it won't run 
with greater than 256MB RAM fitted. The PQMAGICT.EXE in that version has 
a limitation of 8GB.  The final version of PQPM that actually had full 
support for HPFS was version 6.01[but not within OS/2!], has a DOS-GUI 
PQMAGIC.EXE that handles large disks, but no longer comes with IBM BM, 
which can run from either an actual DOS-boot partition or a DOS-booted 
floppy. That 256MB RAM limitation is why I keep a machine with max of 
256MB fitted - all my systems have removable disk drawers, so it's 
simple to swap between machines with disassembling/relocating anything 
[with previously scraped knuckles!]
OS/2 V3.05.302 executable was PQMAGICO.EXE - PQMAGIC.EXE was the 
DOS/WIN9x -DOSBOX edition!

PQPM is quite usable with LVM systems - just requires that LVM "touch" 
the disks again afterwards, to reset the LVM information. Jan van Wijk 
[author DFSee - www.dfsee dot com]in fact still recommends at this time, 
using PQPM to resize e.g. NTFS/FAT32 partitions [larger not available in 
DFSee for FAT32 at all], as only partial functionality in available in 
DFSee to date.

The V3.05.302 will run the PQMAGIC.EXE under W9x with 384MB RAM [maybe 
512MB too?], but I think that in fact it's only seeing 64MB RAM, just 
like the DOS-Floppy booted versions.

HTH

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[Please ZIP any attachments, other than GIF/JPG or plain-text]

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 06 Aug 2005 10:11:30 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  partition magic

On Sat, 06 Aug 2005 05:26:39 +1000, Ed Durrant wrote:

>Version 3 was the last version that came with an OS/2 executable however 
>later versions still supported the current (at that time) available OS/2 
>file formats. I believe I am right in saying that once LVM came along 
>Partition magic became no longer usable with OS/2.
>
>An alternative product is DFSee.

Can that resize a NTFS primary partition?

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sat, 06 Aug 2005 10:15:43 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  partition magic

On Sat, 06 Aug 2005 07:40:59 +1000, Mike O'Connor wrote:

>Ed Durrant wrote:
>
>> Version 3 was the last version that came with an OS/2 executable 
>> however later versions still supported the current (at that time) 
>> available OS/2 file formats. I believe I am right in saying that once 
>> LVM came along Partition magic became no longer usable with OS/2.
>>
>> An alternative product is DFSee.
>>
>> Cheers/2
>>
>> Ed.
>>
>> Chris Graham [WarpSpeed] wrote:
>>
>>> What was the latest version of PM that supported OS/2?
>>>
>>> I've got V1 and V2, but PQMAGICT always complains that it is out of 
>>> memory
>>> and PQMAGIC exits immediately. I traced it and it is looking for
>>> \PIPE\PQPIPE, which is supplied with V1 but not with V2.
>>>
>>> What am I missing?
>>
>
>Hi Chris, Ed,
>
>The final OS/2 Native Partition Magic version was 3.05.032.  This still 
>works with drives larger than 128GB, but has a problem that it won't run 
>with greater than 256MB RAM fitted. The PQMAGICT.EXE in that version has 

The box I have it in has 512Mb and I was starting to wonder if that was
related. Thanks for confirming that. I'll take it down to 128Mb and see how
I go.

>a limitation of 8GB.  The final version of PQPM that actually had full 
>support for HPFS was version 6.01[but not within OS/2!], has a DOS-GUI 
>PQMAGIC.EXE that handles large disks, but no longer comes with IBM BM, 
>which can run from either an actual DOS-boot partition or a DOS-booted 
>floppy. That 256MB RAM limitation is why I keep a machine with max of 
>256MB fitted - all my systems have removable disk drawers, so it's 
>simple to swap between machines with disassembling/relocating anything 
>[with previously scraped knuckles!]
>OS/2 V3.05.302 executable was PQMAGICO.EXE - PQMAGIC.EXE was the 
>DOS/WIN9x -DOSBOX edition!
>
>PQPM is quite usable with LVM systems - just requires that LVM "touch" 
>the disks again afterwards, to reset the LVM information. Jan van Wijk 

How? Using VCU?

>[author DFSee - www.dfsee dot com]in fact still recommends at this time, 
>using PQPM to resize e.g. NTFS/FAT32 partitions [larger not available in 
>DFSee for FAT32 at all], as only partial functionality in available in 
>DFSee to date.
>
>The V3.05.302 will run the PQMAGIC.EXE under W9x with 384MB RAM [maybe 
>512MB too?], but I think that in fact it's only seeing 64MB RAM, just 
>like the DOS-Floppy booted versions.

But does it still have the >1024 cylinder problem?

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sat, 06 Aug 2005 11:51:17 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:   partition magic

Ok, I am almost ready to give up with the PM approach.

I have a 9Gb SCSI disk (1106 Cylinders, so the DOS versions that are
limited to 8Gb or <1024 cylinders are out).

I have BootMgr in a primary, OS/2 in a primary HPFS 750Mb, and NT 4
Advanced Server (NTFS) 750Mb in a primary and the rest of the disk is now
free space.

The aim of the exercise is to increase the size of the NTFS partition.

I dropped the memory to 128Mb and PM (V1 and V2) now work. Yey!

I can move and resize the HPFS partition.

V1 doesn't even know about NTFS.

V2 recognises it and can move it, but can not resize it.

So, does anyone know what my options are to resize the NTFS partition.

I'm not a fan of having to restore the boot partition for NT from tape, but
that appears to be my only option.

To do that I think that I have to back it up to tape (obviously), then
reformat the partitions as needed, then reinstall NT onto it, and then
restore the tape over the top of that.

Can anyone confirm that that is the way to do it? (Not having done it
myself before).

I'm playing with an imaged disk, so the original data disk is still safe
and sound, so I guess that I'll end up playing a bit more... :-)

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Sat, 06 Aug 2005 14:00:11 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:  Re:  partition magic

On Sat, 06 Aug 2005 11:51:17 +1000 (EST), Chris Graham [WarpSpeed] wrote:
> Ok, I am almost ready to give up with the PM approach.
> 
> I have a 9Gb SCSI disk (1106 Cylinders, so the DOS versions that are
> limited to 8Gb or <1024 cylinders are out).
> 
> I have BootMgr in a primary, OS/2 in a primary HPFS 750Mb, and NT 4
> Advanced Server (NTFS) 750Mb in a primary and the rest of the disk is now
> free space.

<SNIP>

> So, does anyone know what my options are to resize the NTFS partition.

All Partition Magic later versions check to see if a SERVER version of windows NT etc,
is installed on the hard drive.

What will happen is that ordinary Partition Magic will refuse to run when a Server 
version of windows is detected.

An early version of Paragon upto v5.0 will work on a Server NT system (I have done it)
but the later v6.0 will NOT work.  Paragon are now using the PowerQuest/Norton
sales model and require you to purchase a more expensive Server version of their 
software.

I never tried it, but you MIGHT be able to use Drive Image 6.01 to image to another drive
and then image back again, taking the option to expand to suit the larger size you want.
You would also have a backup on another drive too, just in case.

Acronis also have software that will image for servers, but I have not used the software
on a server windows NT.

<SNIP>

HTH, a little.
Regards,
Robert Traynor (BobT).
6 August 2005   13:59

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Sat, 06 Aug 2005 14:33:05 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  partition magic

Mike O'Connor wrote:

> Jan van Wijk [author DFSee - www.dfsee dot com]in fact still recommends at 
> this time, using PQPM to resize e.g. NTFS/FAT32 partitions [larger not 
> available in DFSee for FAT32 at all], as only partial functionality in 
> available in DFSee to date.
>
>
I have twice re-sized NTFS partitions with DFSee, the only "gotchya" is 
that you need to turn off windows hibernation first, as it reserves 
space at the end of the partition, making it impossible  to reduce its 
size. Turn of hibernation, run compress then DFsee and the resize 
function (which is what most people bought PQMagic for in the first 
place) works fine.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Sat, 06 Aug 2005 14:34:22 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  partition magic

Chris Graham [WarpSpeed] wrote:

>On Sat, 06 Aug 2005 05:26:39 +1000, Ed Durrant wrote:
>
>  
>
>>Version 3 was the last version that came with an OS/2 executable however 
>>later versions still supported the current (at that time) available OS/2 
>>file formats. I believe I am right in saying that once LVM came along 
>>Partition magic became no longer usable with OS/2.
>>
>>An alternative product is DFSee.
>>    
>>
>
>Can that resize a NTFS primary partition?
>
>-Chris
>
>
>  
>
Yes - see my other e-mail for the "Gatchya" though.

Cheers/2

Ed.
----------------------------------------------------------------------------------